# Constant Field Values

## Contents

- edu.msu.*

## edu.msu.*

edu.msu.cme.rdp.classifier.Classifier
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_SEQ_LEN`
`5000`
`public static final int`
`MIN_BOOTSTRSP_WORDS`
`5`
`public static final int`
`MIN_GOOD_WORDS`
`42`
`public static final int`
`MIN_SEQ_LEN`
`50`

edu.msu.cme.rdp.classifier.cli.CmdOptions
Modifier and Type
Constant Field
Value
`public static final String`
`BIOMFILE_DESC`
`"the input clluster biom file. The classification result will replace the taxonomy of the corresponding cluster id."`
`public static final String`
`BIOMFILE_LONG_OPT`
`"biomFile"`
`public static final String`
`BIOMFILE_SHORT_OPT`
`"m"`
`public static final String`
`BOOTSTRAP_LONG_OPT`
`"conf"`
`public static final String`
`BOOTSTRAP_OUTFILE_DESC`
`"the output file containing the number of matching assignments out of 100 bootstraps for major ranks. Default is null"`
`public static final String`
`BOOTSTRAP_OUTFILE_LONG_OPT`
`"bootstrap_outfile"`
`public static final String`
`BOOTSTRAP_OUTFILE_SHORT_OPT`
`"b"`
`public static final String`
`BOOTSTRAP_SHORT_OPT`
`"c"`
`public static final String`
`FORMAT_LONG_OPT`
`"format"`
`public static final String`
`FORMAT_SHORT_OPT`
`"f"`
`public static final String`
`GENE_LONG_OPT`
`"gene"`
`public static final String`
`GENE_SHORT_OPT`
`"g"`
`public static final String`
`HIER_OUTFILE_DESC`
`"tab-delimited output file containing the assignment count for each taxon in the hierarchical format. Default is null."`
`public static final String`
`HIER_OUTFILE_LONG_OPT`
`"hier_outfile"`
`public static final String`
`HIER_OUTFILE_SHORT_OPT`
`"h"`
`public static final String`
`METADATA_DESC`
`"the tab delimited metadata file for the samples, with first row containing attribute name and first column containing the sample name"`
`public static final String`
`METADATA_LONG_OPT`
`"metadata"`
`public static final String`
`METADATA_SHORT_OPT`
`"d"`
`public static final String`
`MIN_BOOTSTRAP_WORDS_LONG_OPT`
`"minWords"`
`public static final String`
`MIN_BOOTSTRAP_WORDS_SHORT_OPT`
`"w"`
`public static final String`
`MIN_WORDS_DESC`
`"minimum number of words for each bootstrap trial. Default(maximum) is 1/8 of the words of each sequence. Minimum is 5"`
`public static final String`
`OUTFILE_DESC`
`"tab-delimited text output file for classification assignment."`
`public static final String`
`OUTFILE_LONG_OPT`
`"outputFile"`
`public static final String`
`OUTFILE_SHORT_OPT`
`"o"`
`public static final String`
`QUERYFILE_DESC`
`"legacy option, no longer needed "`
`public static final String`
`QUERYFILE_LONG_OPT`
`"queryFile"`
`public static final String`
`QUERYFILE_SHORT_OPT`
`"q"`
`public static final String`
`RANK_LONG_OPT`
`"rank"`
`public static final String`
`RANK_SHORT_OPT`
`"r"`
`public static final String`
`SAMPLE_LONG_OPT`
`"biomFile"`
`public static final String`
`SHORTSEQ_OUTFILE_DESC`
`"the output file containing the sequence names that are too short to be classified"`
`public static final String`
`SHORTSEQ_OUTFILE_LONG_OPT`
`"shortseq_outfile"`
`public static final String`
`SHORTSEQ_OUTFILE_SHORT_OPT`
`"s"`
`public static final String`
`TAXON_LONG_OPT`
`"taxon"`
`public static final String`
`TAXON_SHORT_OPT`
`"n"`
`public static final String`
`TRAINPROPFILE_DESC`
`"property file containing the mapping of the training files if not using the default. Note: the training files and the property file should be in the same directory."`
`public static final String`
`TRAINPROPFILE_LONG_OPT`
`"train_propfile"`
`public static final String`
`TRAINPROPFILE_SHORT_OPT`
`"t"`

edu.msu.cme.rdp.classifier.comparison.ComparisonCmd
Modifier and Type
Constant Field
Value
`public static final String`
`COMPARE_OUTFILE_DESC`
`"output file name for the comparsion results."`
`public static final String`
`COMPARE_OUTFILE_LONG_OPT`
`"compare_outputFile"`
`public static final String`
`COMPARE_OUTFILE_SHORT_OPT`
`"o"`
`public static final String`
`QUERYFILE_DESC`
`"query file contains sequences in one of the following formats: Fasta, Genbank and EMBL."`
`public static final String`
`QUERYFILE1_LONG_OPT`
`"queryFile1"`
`public static final String`
`QUERYFILE1_SHORT_OPT`
`"q1"`
`public static final String`
`QUERYFILE2_LONG_OPT`
`"queryFile2"`
`public static final String`
`QUERYFILE2_SHORT_OPT`
`"q2"`

edu.msu.cme.rdp.classifier.train.LineageSequenceParser
Modifier and Type
Constant Field
Value
`public static final String`
`delimiter`
`";"`

edu.msu.cme.rdp.classifier.train.validation.CorrectAssignment
Modifier and Type
Constant Field
Value
`public final int`
`bins`
`11`
edu.msu.cme.rdp.classifier.train.validation.DecisionMaker
Modifier and Type
Constant Field
Value
`public static final int`
`NUM_OF_RUNS`
`100`
edu.msu.cme.rdp.classifier.train.validation.NBClassifier
Modifier and Type
Constant Field
Value
`public static final int`
`MIN_BOOTSTRSP_WORDS`
`5`
`public static final long`
`seed`
`1L`
edu.msu.cme.rdp.classifier.train.validation.Taxonomy
Modifier and Type
Constant Field
Value
`public static final String`
`GENUS`
`"GENUS"`

edu.msu.cme.rdp.classifier.train.validation.leaveoneout.LeaveOneOutTesterMain
Modifier and Type
Constant Field
Value
`public static final String`
`HIDETAXON_SHORT_OPT`
`"h"`
`public static final String`
`LENGTH_DESC`
`"the default is to test the entire query sequence. if specifiy a length, a region of the query sequence with the specified length will be random choosen for testing"`
`public static final String`
`LENGTH_LONG_OPT`
`"length"`
`public static final String`
`LENGTH_SHORT_OPT`
`"l"`
`public static final String`
`OUTFILE_DESC`
`"stat of leave-one-out testing including correctness rate at each rank, misclassified rate for each taxon "`
`public static final String`
`OUTFILE_LONG_OPT`
`"outputFile"`
`public static final String`
`OUTFILE_SHORT_OPT`
`"o"`
`public static final String`
`QUERYFILE_DESC`
`"query file contains sequences, same format as the training sequence file"`
`public static final String`
`QUERYFILE_LONG_OPT`
`"queryFile"`
`public static final String`
`QUERYFILE_SHORT_OPT`
`"q"`
`public static final String`
`TRAIN_SEQFILE_DESC`
`"training files in fasta format labelled with the lineage information. \nThe header of this fasta file starts with \'>\', followed by the sequence name, white space(s) and a list taxon names seperated by \';\' with highest rank taxon first\nex: Root;Bacteria;Proteobacteria;Gammaproteobacteria;Enterobacteriales;Enterobacteriaceae;Enterobacter"`
`public static final String`
`TRAIN_SEQFILE_LONG_OPT`
`"trainSeqFile"`
`public static final String`
`TRAIN_SEQFILE_SHORT_OPT`
`"s"`
`public static final String`
`TRAIN_TAXONFILE_DESC`
`"contains the hierarchical taxonomy information, taxon name and rank together is unique. \nThe format looks like the following: taxid*taxon name*parent taxid*depth*rank Note taxid, the parent taxid and depth should be in integer format. depth indicates the depth from the root taxon."`
`public static final String`
`TRAIN_TAXONFILE_LONG_OPT`
`"trainTaxonFile"`
`public static final String`
`TRAIN_TAXONFILE_SHORT_OPT`
`"t"`

edu.msu.cme.rdp.classifier.train.validation.movingwindow.FindWindowFrame
Modifier and Type
Constant Field
Value
`public static final int`
`step`
`25`
`public static final int`
`window_size`
`200`

edu.msu.cme.rdp.classifier.utils.ClassifierFactory
Modifier and Type
Constant Field
Value
`public static final String`
`FUNGALITS_unite_GENE`
`"fungalits_unite"`
`public static final String`
`FUNGALITS_warcup_GENE`
`"fungalits_warcup"`
`public static final String`
`FUNGALLSU_GENE`
`"fungallsu"`
`public static final String`
`RRNA_16S_GENE`
`"16srrna"`

edu.msu.cme.rdp.multicompare.taxon.MCTaxon
Modifier and Type
Constant Field
Value
`public static final int`
`Count_Array_size`
`2`